export interface warehouseSearchForm {
  status?: string
  batchNumber?: string
  createTimeEnd?: string
  createTimeStart?: string
  orderNumber?: string
  sku?: string
  warehouseId?: number
}
// 主表列表ts,看新增时是不是一样
export interface InterWarehousePage {
  id: number
  factoryId?: number
  factoryCode?: string
  warehouseId?: number
  warehouseName?: string
  inNo?: string
  shipmentNumber?: string
  skuAmount?: string
  total?: number
  totalPrice?: number
  billStatus?: string
  remark?: string
  productList?: InterProductList[]
}
export interface InterWarehouseDetail {
  id?: string
  inId?: string
  productNo?: string
  warehouseSku?: string
  skuImage?: string
  skuName?: string
  buyStored?: string
  totalPrice?: number
  rejectsAmount?: string
  rejectsReason?: string
  remark?: string
  factoryId?: number
  createTime?: string
  updateTime?: string
}
export interface InterWarehouseTree {
  id: number
  code: string
  name: string
  countQuantity: string | null
  children: null
  leaf: boolean
}
export interface InterProductList {
  createTime?: string
  factoryId?: number
  id?: number
  inId?: number
  productNo?: string | null //货号
  buyStored?: number | null //入库数量
  rejectsAmount?: number
  rejectsReason?: string
  remark?: string
  skuImage?: string
  skuName?: string
  costPrice?: number | null
  totalPrice?: number | null
  updateTime?: string
  warehouseSku?: string
  locationId?: number | null
  locationCode?: string | null
}
export interface InterskuList {
  id?: number
  productId?: number
  sku?: string
  skuName?: string
  image?: string
  factoryPrice?: number
  productNo?: string | null //货号
  locationId?: number | null
  locationCode?: string | null
}
export interface InterWarehouseList {
  id: number
  name: string
  code?: string
  sort?: number
  defaulted?: number
  factoryId?: number
  factoryCode?: string
  remarks?: string | null
}
export interface ILocation {
  id?: number
  locationId?: number | null
  locationCode?: string | null
}
export interface InRecordEditForm {
  id: number
  factoryId?: number
  factoryCode?: string
  warehouseId?: number
  warehouseName?: string
  inNo?: string
  shipmentNumber?: string
  skuAmount?: string
  total?: number
  totalPrice?: number
  billStatus?: string
  remark?: string
  productList?: InterProductList[]
}
